#
# spec file for package pidentd
#
# Copyright (c) 2012 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           pidentd
PreReq:         %insserv_prereq %fillup_prereq
Provides:       nkitb:/usr/sbin/in.identd
Version:        3.1a25
Release:        348.19
Summary:        An Implementation of the RFC1413 Identification Server
License:        GPL-2.0+
Group:          Productivity/Networking/System
Url:            http://sf.www.lysator.liu.se/~pen/pidentd/
Source:         %{name}-%{version}.tar.bz2
Source1:        %{name}-SuSE.tar.bz2
Source2:        %{name}.xinetd
Patch0:         %{name}-%{version}-config.diff
Patch1:         %{name}-%{version}-allocfix.diff
Patch2:         %{name}-%{version}-buffer-overflow.diff
Patch3:         %{name}-%{version}-fmt.diff
Patch4:         %{name}-%{version}-prototypes.diff
Patch5:         %{name}-%{version}-autoconf.diff
Patch6:         %{name}-%{version}-warnings-fix.diff
Patch7:         %{name}-%{version}-send.diff
Patch8:         %{name}-%{version}-ipv6.diff
Patch9:         %{name}-%{version}-autoheader.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  libtool
Requires:       inet-daemon

%description
This package contains identd, which implements a RFC1413 identification
server.  Identd looks up specific TCP/IP connections and returns the
user name and other information about the connection.



Authors:
--------
    Peter Eriksson <pen@lysator.liu.se>

%define prefix   /usr

%prep
%setup -q -a 1
%patch0
%patch1
%patch2
%patch3
%patch4
%patch5
%patch6
%patch7
%patch8
%patch9 -p1

%build
# files are not copied by autoreconf since package doesn't use automake
cp -v /usr/share/automake-*/config.* aux/
cp -v /usr/share/automake-*/config.* plib/aux/
aclocal --force
autoreconf --force --install
(cd plib
    libtoolize --force
    aclocal --force
    autoconf --force
)
CFLAGS="$RPM_OPT_FLAGS -Wall" \
	./configure \
	--prefix=%{prefix} \
	--sysconfdir=%{_sysconfdir} \
	--mandir=%{_mandir} \
	--infodir=%{_infodir} \
	--with-threads=yes
make

%install
install -d -m 755 $RPM_BUILD_ROOT%{_mandir}/man8
install -d -m 755 $RPM_BUILD_ROOT/etc/xinetd.d
cp -a SuSE/* $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT/ install
install -m 0644 etc/identd.conf $RPM_BUILD_ROOT/etc/identd.conf
mv $RPM_BUILD_ROOT%{_sbindir}/identd $RPM_BUILD_ROOT%{_sbindir}/in.identd
echo ".so man8/identd.8" > $RPM_BUILD_ROOT%{_mandir}/man8/in.identd.8
install -m 644 %{S:2} $RPM_BUILD_ROOT/etc/xinetd.d/pidentd

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{fillup_and_insserv -n identd identd}

%preun
%stop_on_removal identd

%postun
%restart_on_update identd
%{insserv_cleanup}

%files
%defattr(-,root,root)
%config(noreplace) /etc/xinetd.d/pidentd
%config /etc/init.d/identd
%config /etc/identd.conf
%doc ChangeLog* FAQ README TODO Y2K doc/
%doc %{_mandir}/man?/*
%{_sbindir}/*

%changelog
* Tue May 22 2012 frank.lichtenheld@sophos.com
- Make build with current tools
  * Fix autoheader errors by adding descriptions to AC_DEFINE
  calls
  * Copy config.* manually since suse_update_config is not doing
  it anymore and autoreconf does not take care of it because
  pidentd doesn't use automake.
* Tue Mar 27 2012 cfarrell@suse.com
- license update: GPL-2.0+
  SeSee plib/strmatch.c
* Sun Nov 27 2011 coolo@suse.com
- add libtool as buildrequire to avoid implicit dependency
* Wed Apr  7 2010 crrodriguez@opensuse.org
- require inet-daemon
* Wed Aug 26 2009 mls@suse.de
- make patch0 usage consistent
* Fri Aug 22 2008 ro@suse.de
- remove deprecated startvar from fillup_and_insserv call
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Oct 12 2005 mjancar@suse.cz
- more fixes to the ipv6 support
- split patches by subject
* Fri Sep 16 2005 mjancar@suse.cz
- fix ipv6 support (#53558)
* Wed Apr 28 2004 postadal@suse.cz
- fixed rewind(3) issue and examining local connections in both directions
  [#38558]
* Tue Apr 27 2004 postadal@suse.cz
- redirected std* streams to /dev/null in init script [#38860]
* Fri Feb 27 2004 postadal@suse.cz
- fixed mazy syslog messaged with "buffer overflow" and compilation warnings
  [#33438]
* Sun Jan 11 2004 adrian@suse.de
- build as user
* Fri Oct 17 2003 kukuk@suse.de
- Build without DES support (broken on all 64bit archs)
* Fri Sep 19 2003 mjancar@suse.cz
- fix xinetd configuration file
  * start as root - pidentd switches to nobody itself and complains when can't
  * non waiting mode requires -i switch
* Fri Aug 29 2003 kukuk@suse.de
- Don't activate in.identd per default
* Mon Aug 25 2003 postadal@suse.cz
- use new stop_on_removal/restart_on_upate macros
* Thu Mar  6 2003 postadal@suse.cz
- created config file for xinetd [#24693]
* Mon Feb 24 2003 postadal@suse.cz
- cleared specfile
* Tue Feb 11 2003 postadal@suse.cz
- fixed bad allocating of memory [#23480]
* Fri Jan 31 2003 postadal@suse.cz
- updated to version 3.1a25
  * various PLIB updates and synchronisation with pftpd
* Fri Aug 16 2002 postadal@suse.cz
- added %%insserv_prereq and %%fillup_prereq to PreReq [#17941]
* Wed Jul 31 2002 postadal@suse.cz
- update to version 3.1a24 - fixes
- removed sourcing rc.config (bug #17310)
* Mon Dec 10 2001 cihlar@suse.cz
- removed START_IDENTD
* Thu Jul 26 2001 cihlar@suse.cz
- update to version 3.1a19
* Wed Jun  6 2001 cihlar@suse.cz
- fixed to compile with new autoconf
* Thu May 10 2001 cihlar@suse.cz
- fixed to not start on runlevel 2 [#7954]
* Fri Apr 13 2001 cihlar@suse.cz
- fixed init script by new skeleton
* Thu Mar 22 2001 ro@suse.de
- added split-aliases as provides
* Tue Feb 27 2001 cihlar@suse.cz
- fixed %%files
- fixed start script to agree with skeleton
* Mon Jan 22 2001 smid@suse.cz
- fix to work with kernels that don't have IPv6 support [#6043]
* Tue Jan  9 2001 smid@suse.cz
- config file chnged [#5189]
* Tue Dec  5 2000 smid@suse.cz
- new version 3.1a17
- fixed bug with query len >1024
* Fri Dec  1 2000 ro@suse.de
- fixed startscript
* Wed Apr 12 2000 kukuk@suse.de
- New package, split from nkitb
